Making Wire from single Edge

Dear all, I have a problem making a wire from single edge. When I perform cut operation on a cylinder with revolved surface, the result is 'almost closed' circle. If I look close (the zoomed are in the pictur) there is a gap and the circle is not closed. I tried differed approaches to fix the wire with the exisiting Shape Healing operations, but unfortunatelly they work only when you have more than 1 edge in a wire.

In this case I have only one edge and the first / last vertices are very close, but how can I make a proper closed wire. Are there any tools to fix this problem or I have to create new edge and add to this wire?

Please help.

Attachments: 
Milinda's picture

Hello Kostadin,

You can create a Wire from a single Edge easily using BRepBuilderAPI_MakeWire Class. Some Code Example are given below.
TopoDS_Edge anEdge;

TopoDS_Wire aWire=BRepBuilderAPI_MakeWire(anEdge);

If you want to close the wire you can use the shape fixing functionality in the open cascade.

Hope This Helps....